Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.terracotta.quartz.collections
Class SerializedToolkitStore<K,V extends Serializable>

    java.lang.Object
      org.terracotta.quartz.collections.SerializedToolkitStore<K,V>

    public class SerializedToolkitStore<K,V extends Serializable>

extends Object

Constructor Summary
`SerializedToolkitStore(ToolkitStore toolkitMap)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(Object key)`
`boolean` | `containsValue(Object value)`
`ToolkitReadWriteLock` | `createLockForKey(K key)`
`QueryBuilder` | `createQueryBuilder()`
`void` | `destroy()`
`Set<Map.Entry<K,V>>` | `entrySet()`
`V` | `get(Object key)`
`Map<K,V>` | `getAll(Collection<? extends K> keys)`
`Configuration` | `getConfiguration()`
`String` | `getName()`
`boolean` | `isBulkLoadEnabled()`
`boolean` | `isDestroyed()`
`boolean` | `isEmpty()`
`boolean` | `isNodeBulkLoadEnabled()`
`Set<K>` | `keySet()`
`V` | `put(K key, V value)`
`void` | `putAll(Map<? extends K,? extends V> m)`
`V` | `putIfAbsent(K key, V value)`
`void` | `putNoReturn(K key, V value)`
`V` | `remove(Object key)`
`boolean` | `remove(Object key, Object value)`
`void` | `removeNoReturn(Object key)`
`V` | `replace(K key, V value)`
`boolean` | `replace(K key, V oldValue, V newValue)`
`void` | `setAttributeExtractor(ToolkitAttributeExtractor attrExtractor)`
`void` | `setConfigField(String name, Serializable value)`
`void` | `setNodeBulkLoadEnabled(boolean enabledBulkLoad)`
`int` | `size()`
`Collection<V>` | `values()`
`void` | `waitUntilBulkLoadComplete()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializedToolkitStore

    public SerializedToolkitStore(ToolkitStore toolkitMap)

Method Detail

### size

    public int size()

### isEmpty

    public boolean isEmpty()

### containsKey

    public boolean containsKey(Object key)

### get

    public V get(Object key)

### put

    public V put(K key,
                 V value)

### remove

    public V remove(Object key)

### putAll

    public void putAll(Map<? extends K,? extends V> m)

### clear

    public void clear()

### keySet

    public Set<K> keySet()

### isDestroyed

    public boolean isDestroyed()

### destroy

    public void destroy()

### getName

    public String getName()

### createLockForKey

    public ToolkitReadWriteLock createLockForKey(K key)

### removeNoReturn

    public void removeNoReturn(Object key)

### putNoReturn

    public void putNoReturn(K key,
                            V value)

### getAll

    public Map<K,V> getAll(Collection<? extends K> keys)

### getConfiguration

    public Configuration getConfiguration()

### setConfigField

    public void setConfigField(String name,
                               Serializable value)

### containsValue

    public boolean containsValue(Object value)

### putIfAbsent

    public V putIfAbsent(K key,
                         V value)

### entrySet

    public Set<Map.Entry<K,V>> entrySet()

### values

    public Collection<V> values()

### remove

    public boolean remove(Object key,
                          Object value)

### replace

    public boolean replace(K key,
                           V oldValue,
                           V newValue)

### replace

    public V replace(K key,
                     V value)

### isBulkLoadEnabled

    public boolean isBulkLoadEnabled()

### isNodeBulkLoadEnabled

    public boolean isNodeBulkLoadEnabled()

### setNodeBulkLoadEnabled

    public void setNodeBulkLoadEnabled(boolean enabledBulkLoad)

### waitUntilBulkLoadComplete

    public void waitUntilBulkLoadComplete()
                                   throws InterruptedException

  Throws:
    `InterruptedException`

### setAttributeExtractor

    public void setAttributeExtractor(ToolkitAttributeExtractor attrExtractor)

### createQueryBuilder

    public QueryBuilder createQueryBuilder()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.